- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QBitmap Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qbitmap.h.

`#include <qbitmap.h>`

Inheritance diagram for QBitmap:
[legend]

List of all members.

## Public Types
typedef QExplicitlySharedDataPointer < QPixmapData > | DataPtr
## Public Member Functions
| QBitmap ()
| QBitmap (const QPixmap &)
| QBitmap (int w, int h)
| QBitmap (const QSize &)
| QBitmap (const QString &fileName, const char *format=0)
| ~QBitmap ()
QBitmap & | operator= (const QPixmap &)
| operator QVariant () const
void | clear ()
QBitmap | transformed (const QMatrix &) const
QBitmap | transformed (const QTransform &matrix) const
## Static Public Member Functions
static QBitmap | fromImage (const QImage &image, Qt::ImageConversionFlags flags=Qt::AutoColor)
static QBitmap | fromData (const QSize &size, const uchar *bits, QImage::Format monoFormat=QImage::Format_MonoLSB)

## Member Typedef Documentation

typedef QExplicitlySharedDataPointer<QPixmapData> DataPtr

Search for all occurrences

Reimplemented from QPixmap.

Definition at line 86 of file qbitmap.h.

## Constructor & Destructor Documentation

QBitmap | ( |  | ) |

QBitmap | ( | const QPixmap & |  | ) |

QBitmap | ( | int | w,
|  | int | h
| ) |  |

QBitmap | ( | const QSize & |  | ) | `[explicit]`

QBitmap | ( | const QString & | fileName,
|  | const char * | format = `0`
| ) |  | `[explicit]`

~QBitmap | ( |  | ) |

## Member Function Documentation

QBitmap& operator= | ( | const QPixmap & |  | ) |

Reimplemented from QPixmap.

operator QVariant | ( |  | ) | const

Reimplemented from QPixmap.

void clear | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 68 of file qbitmap.h.

    { fill(Qt::color0); }

static QBitmap fromImage | ( | const QImage & | image,
|  | Qt::ImageConversionFlags | flags = `Qt::AutoColor`
| ) |  | `[static]`

Search for all occurrences

Reimplemented from QPixmap.

static QBitmap fromData | ( | const QSize & | size,
|  | const uchar * | bits,
|  | QImage::Format | monoFormat = `QImage::Format_MonoLSB`
| ) |  | `[static]`

Search for all occurrences

QBitmap transformed | ( | const QMatrix & |  | ) | const

Search for all occurrences

QBitmap transformed | ( | const QTransform & | matrix | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qbitmap.h

QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap
QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap QBitmap